DUMB-INIT(1)

NAME
dumb-init - a minimal init system for Linux containers

SYNOPSIS
dumb-init [option] command [[arg] ...]

DESCRIPTION
dumb-init v1.2.5

dumb-init is a simple process supervisor that forwards signals to children. It is designed to run as PID1 in minimal container environments.

  Optional arguments:

-c, --single-child
    Run in single-child mode. In this mode, signals are only proxied to the direct child and not any of its descendants.

-r, --rewrite s:r
    Rewrite received signal s to new signal r before proxying. To ignore (not proxy) a signal, rewrite it to 0. This option can be specified multiple times.

-v, --verbose
    Print debugging information to stderr.

-h, --help
    Print this help message and exit.

-V, --version
    Print the current version and exit.

Full help is available online at https://github.com/Yelp/dumb-init

AUTHORS
dumb-init was primarily developed at Yelp.
For a full list of contributors, see https://github.com/Yelp/dumb-init/graphs/contributors